Package com.pixelmed.scpecg

# Class RecordHeader

java.lang.Object
com.pixelmed.scpecg.RecordHeader

public class RecordHeader extends Object

A class to encapsulate an SCP-ECG record header.

## Constructor Summary

Constructors
Constructor
Description
`RecordHeader()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCRC()`
`long`
`getRecordLength()`
`long`
`read(BinaryInputStream i)`
Read a header from a stream.
`String`
`toString()`
Dump the record header as a `String`.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RecordHeader

public RecordHeader()

## Method Details

### getCRC

public int getCRC()

### getRecordLength

public long getRecordLength()

### read

public long read(BinaryInputStream i) throws IOException

Read a header from a stream.

Parameters:
  `i` - the input stream
Throws:
  `IOException`

### toString

public String toString()

Dump the record header as a `String`.

Overrides:
  `toString` in class `Object`
Returns:
  the header as a `String`